.\"
.\" Copyright (c) 2009 ... 2024 2025
.\"     John McCue
.\"
.\" Permission to use, copy, modify, and distribute this software
.\" for any purpose with or without fee is hereby granted,
.\" provided that the above copyright notice and this permission
.\" notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
.\" WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL
.\" THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR
.\" CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
.\" FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
.\" CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
.\" SOFTWARE.
.\"
.TH JBOLD 1 "2009-01-02" "JMC" "User Commands"
.SH NAME
jbold - Bold text for printing on a dot matrix printer
.SH SYNOPSIS
jbold [OPTIONS] [FILE...]
.SH DESCRIPTION
Print each ASCII character as bold, this is
useful when printing text data on a dot matrix printer.
Can be used to bold output of pr(1) or nroff(1).  Example:
.nf
    pr -n jbold.c | jbold -B 1 | lpr
.fi
.PP
If no files (FILE) are specified on the command line or
if FILE has name "-", stdin (Standard Input) is used.
.SH OPTIONS
.TP
-B num
Optional, but if not specified there is no point
to this command.
This specifies the number of overstrikes per ASCII character.
Range is 0 -- 10, 0 means no overstrikes, 10 means ten overstrikes.
The higher the number the darker the text.
Zero is the same as not specifying this argument.
.TP
-e file
OPTIONAL - Errors written to the file specified, defaults to stderr.
Note, not all errors will be written to the file specified,
this depends upon where the error occur.
.TP
-f
Force file create.
Create file even if the target file exists.
.TP
-h
Show brief help and exit
.TP
-o file
OPTIONAL - Write output to the file specified, defaults to stdout.
.TP
-T num
Expand tabs to spaces, if specified you would
usually assign 'num' to 8.
.TP
-V
Output version information and exit.
.SH ENVIRONMENT
These variables can be set to change the default values of the arguments.
Command line switches will override the values represented
by these variables:
.TP
JBOLD_BOLD
Overstrike this many times.
.TP
JBOLD_ERR
Default stderr to write to the file specified in this variable.
.TP
JBOLD_FORCE
Set to '0' to abort if the target file exists.
Set to '1' to always overwrite existing files.
.TP
JBOLD_OUT
Default stdout to write to the file specified in this variable.
.TP
JBOLD_TAB
Expand tabs to the numeric value specified in this variable.
.SH DIAGNOSTICS
If environment variables "JBOLD_OUT" and/or "JBOLD_ERR"
is set, you must unset the variables to use stdout/stderr.
.PP
This is a simple text 'bold' utility.
As noted above, you use use this to filter output
of pr(1) or nroff(1).
.PP
jbold knows nothing about page size.
.PP
jbold assumes ASCII text, Unicode or UTF-8 not supported.
.SH ERROR-CODES
.nf
0 success
1 processing error or help/rev displayed
.fi
.SH SEE-ALSO
jexpand(1), nroff(1), pr(1), printdoc(1)
